#
# spec file for package ghc-old-time
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name old-time
Name:           ghc-%{pkg_name}
Version:        1.1.0.4
Release:        150500.11.3.1
Summary:        Time library
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-rpm-macros
ExcludeArch:    %{ix86}

%description
This package provides the old time library.

For new projects, the newer <http://hackage.haskell.org/package/time time
library> is recommended.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc changelog.md

%changelog
* Mon Dec 11 2023 psimons@suse.com
- Update old-time to version 1.1.0.4.
  [#]# 1.1.0.4  *Dec 2023*
  * Add `build-tools: hsc2hs` to `old-time.cabal` for compilation with GHC 8.
    Fixes [issue #12](https://github.com/haskell/old-time/issues/12)
* Wed May 17 2017 psimons@suse.com
- Add old-time at version 1.1.0.3 revision 2.
